Bug 629138 - yum update/upgrade problem.
Summary: yum update/upgrade problem.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-01 04:16 UTC by orondo jones
Modified: 2014-01-21 23:16 UTC (History)
5 users (show)

Fixed In Version: yum-3.2.28-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-30 10:34:20 UTC


Attachments (Terms of Use)

Description orondo jones 2010-09-01 04:16:49 UTC
Description of problem:

If I try:

yum upgrade  or yum update or yum -y install [package] I get the problem shown in the actual results section.

Version-Release number of selected component (if applicable):

see actual results


  
Actual results:

Resolving Dependencies
Skipping filters plugin, no data
--> Running transaction check
---> Package yum.noarch 0:3.2.28-3.fc12 set to be updated
--> Processing Conflict: yum-plugin-basearchonly-1.1.23-3.fc12.noarch conflicts yum-basearchonly < 1.1.20-0
--> Finished Dependency Resolution
Error: yum-plugin-basearchonly conflicts with yum
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 1 James Antill 2010-09-09 14:15:09 UTC
Uh, we only obsolete the old yum-basearchonly not yum-plugin-basearchonly. You can work around it by just doing:

yum remove yum-plugin-basearchonly

...then doing the update. I'll try to get an updated yum out with the newer obsoletes this week.

Comment 2 Fedora Update System 2010-09-14 14:44:48 UTC
yum-3.2.28-5.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/yum-3.2.28-5.fc12

Comment 3 Fedora Update System 2010-09-15 05:27:20 UTC
yum-3.2.28-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/yum-3.2.28-5.fc12

Comment 4 Fedora Update System 2010-09-30 10:34:08 UTC
yum-3.2.28-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.